
package de.ivu.elect.presentation.exchange;

import javax.inject.Inject;

import org.apache.deltaspike.core.api.scope.GroupedConversation;
import org.apache.deltaspike.core.api.scope.ConversationGroup;
import org.apache.deltaspike.core.api.scope.GroupedConversationScoped;

@GroupedConversationScoped
@ConversationGroup(ExportDescriptionConversationStore.class)
public class ExportDescriptionConversationStore implements java.io.Serializable {

  private static final long serialVersionUID = 1L;

  @Inject
  protected GroupedConversation conversation;

  private ExportDescription exportDescription;

  public void close() {
    conversation.close();
  }

  public boolean isSelected() {
    return getExportDescription() != null;
  }

  public ExportDescription getExportDescription() {
    return exportDescription;
  }

  public void setExportDescription(ExportDescription exportDescription) {
    this.exportDescription = exportDescription;
  }

}
